glance: url needs version if uwsgi mode

Bug #2052000 reported by suzhengwei

This bug report will be marked for expiration in 54 days if no further activity occurs. (find out why)

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
devstack
Incomplete
Undecided
Unassigned

Bug Description

stack@devstack:~/devstack$ openstack --debug server list
START with options: --debug server list
options: Namespace(verbose_level=3, log_file=None, deferred_help=False, debug=True, cloud='', region_name='RegionOne', cacert=None, cert='', key='', verify=None, insecure=None, default_domain='default', interface='', service_provider='', remote_project_name='', remote_project_id='', remote_project_domain_name='', remote_project_domain_id='', timing=False, os_beta_command=False, profile='', os_compute_api_version='', os_identity_api_version='3', os_image_api_version='', os_network_api_version='', os_object_api_version='', os_volume_api_version='3', os_placement_api_version='1', os_key_manager_api_version='1', os_dns_api_version='2', auth_type='password', auth_url='http://10.0.2.15/identity', system_scope='', domain_id='', domain_name='', project_id='', project_name='admin', project_domain_id='default', project_domain_name='', trust_id='', identity_provider='', protocol='', identity_provider_url='', service_provider_endpoint='', service_provider_entity_id='', username='admin', password='***', client_id='', client_secret='***', openid_scope='', access_token_endpoint='', discovery_endpoint='', access_token_type='', endpoint='', token='***', oauth2_endpoint='', oauth2_client_id='', consumer_key='', consumer_secret='***', access_key='', access_secret='***', device_authorization_endpoint='', code_challenge_method='', default_domain_id='', default_domain_name='', user_id='', user_domain_id='default', user_domain_name='', auth_methods='', oauth2_client_secret='***', access_token='***', redirect_uri='', code='', application_credential_secret='***', application_credential_id='', application_credential_name='', passcode='', os_project_name=None, os_project_id=None)
Auth plugin password selected
auth_config_hook(): {'api_timeout': None, 'verify': True, 'cacert': None, 'cert': None, 'key': None, 'baremetal_status_code_retries': '5', 'baremetal_introspection_status_code_retries': '5', 'image_status_code_retries': '5', 'disable_vendor_agent': {}, 'interface': 'public', 'floating_ip_source': 'neutron', 'image_api_use_tasks': False, 'image_format': 'qcow2', 'message': '', 'network_api_version': '2', 'object_store_api_version': '1', 'secgroup_source': 'neutron', 'status': 'active', 'auth': {'user_domain_id': 'default', 'project_domain_id': 'default', 'project_name': 'admin'}, 'verbose_level': 3, 'deferred_help': False, 'debug': True, 'region_name': 'RegionOne', 'default_domain': 'default', 'timing': False, 'auth_url': 'http://10.0.2.15/identity', 'username': 'admin', 'password': '***', 'beta_command': False, 'identity_api_version': '3', 'volume_api_version': '3', 'placement_api_version': '1', 'key_manager_api_version': '1', 'dns_api_version': '2', 'auth_type': 'password', ': []}
defaults: {'api_timeout': None, 'verify': True, 'cacert': None, 'cert': None, 'key': None, 'auth_type': 'password', 'baremetal_status_code_retries': 5, 'baremetal_introspection_status_code_retries': 5, 'image_status_code_retries': 5, 'disable_vendor_agent': {}, 'interface': 'public', 'floating_ip_source': 'neutron', 'image_api_use_tasks': False, 'image_format': 'qcow2', 'message': '', 'network_api_version': '2', 'object_store_api_version': '1', 'secgroup_source': 'neutron', 'status': 'active'}
cloud cfg: {'api_timeout': None, 'verify': True, 'cacert': None, 'cert': None, 'key': None, 'baremetal_status_code_retries': '5', 'baremetal_introspection_status_code_retries': '5', 'image_status_code_retries': '5', 'disable_vendor_agent': {}, 'interface': 'public', 'floating_ip_source': 'neutron', 'image_api_use_tasks': False, 'image_format': 'qcow2', 'message': '', 'network_api_version': '2', 'object_store_api_version': '1', 'secgroup_source': 'neutron', 'status': 'active', 'auth': {'user_domain_id': 'default', 'project_domain_id': 'default', 'project_name': 'admin'}, 'verbose_level': 3, 'deferred_help': False, 'debug': True, 'region_name': 'RegionOne', 'default_domain': 'default', 'timing': False, 'auth_url': 'http://10.0.2.15/identity', 'username': 'admin', 'password': '***', 'beta_command': False, 'identity_api_version': '3', 'volume_api_version': '3', 'placement_api_version': '1', 'key_manager_api_version': '1', 'dns_api_version': '2', 'auth_type': 'password', ': []}
compute API version 2.1, cmd group openstack.compute.v2
identity API version 3, cmd group openstack.identity.v3
image API version 2, cmd group openstack.image.v2
network API version 2, cmd group openstack.network.v2
object_store API version 1, cmd group openstack.object_store.v1
volume API version 3, cmd group openstack.volume.v3
placement API version 1, cmd group openstack.placement.v1
key_manager API version 1, cmd group openstack.key_manager.v1
dns API version 2, cmd group openstack.dns.v2
neutronclient API version 2, cmd group openstack.neutronclient.v2
command: server list -> openstackclient.compute.v2.server.ListServer (auth=True)
Auth plugin password selected
auth_config_hook(): {'api_timeout': None, 'verify': True, 'cacert': None, 'cert': None, 'key': None, 'baremetal_status_code_retries': '5', 'baremetal_introspection_status_code_retries': '5', 'image_status_code_retries': '5', 'disable_vendor_agent': {}, 'interface': 'public', 'floating_ip_source': 'neutron', 'image_api_use_tasks': False, 'image_format': 'qcow2', 'message': '', 'network_api_version': '2', 'object_store_api_version': '1', 'secgroup_source': 'neutron', 'status': 'active', 'auth': {'user_domain_id': 'default', 'project_domain_id': 'default', 'project_name': 'admin'}, 'additional_user_agent': [('osc-lib', '3.0.0')], 'verbose_level': 3, 'deferred_help': False, 'debug': True, 'region_name': 'RegionOne', 'default_domain': 'default', 'timing': False, 'auth_url': 'http://10.0.2.15/identity', 'username': 'admin', 'password': '***', 'beta_command': False, 'identity_api_version': '3', 'volume_api_version': '3', 'placement_api_version': '1', 'key_manager_api_version': '1', 'dns_api_version': '2', 'auth_type': 'password', ': []}
Using auth plugin: password
Using parameters {'auth_url': 'http://10.0.2.15/identity', 'project_name': 'admin', 'project_domain_id': 'default', 'username': 'admin', 'user_domain_id': 'default', 'password': '***'}
Get auth_ref
REQ: curl -g -i -X GET http://10.0.2.15/identity -H "Accept: application/json" -H "User-Agent: openstacksdk/2.1.0 keystoneauth1/5.5.0 python-requests/2.31.0 CPython/3.10.12"
Starting new HTTP connection (1): 10.0.2.15:80
http://10.0.2.15:80 "GET /identity HTTP/1.1" 300 268
RESP: [300] Connection: close Content-Length: 268 Content-Type: application/json Date: Tue, 30 Jan 2024 09:54:15 GMT Location: http://10.0.2.15/identity/v3/ Server: Apache/2.4.52 (Ubuntu) Vary: X-Auth-Token x-openstack-request-id: req-d20f2459-9609-4255-a1f2-29a1f5637686
RESP BODY: {"versions": {"values": [{"id": "v3.14", "status": "stable", "updated": "2020-04-07T00:00:00Z", "links": [{"rel": "self", "href": "http://10.0.2.15/identity/v3/"}], "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v3+json"}]}]}}
GET call to http://10.0.2.15/identity used request id req-d20f2459-9609-4255-a1f2-29a1f5637686
Making authentication request to http://10.0.2.15/identity/v3/auth/tokens
Resetting dropped connection: 10.0.2.15
http://10.0.2.15:80 "POST /identity/v3/auth/tokens HTTP/1.1" 201 2846
{"token": {"methods": ["password"], "user": {"domain": {"id": "default", "name": "Default"}, "id": "9c420229bbc146ca8739af7b70e69c94", "name": "admin", "password_expires_at": null}, "audit_ids": ["WodfyzebRwyoNWiTnsWHKQ"], "expires_at": "2024-01-30T10:54:15.000000Z", "issued_at": "2024-01-30T09:54:15.000000Z", "project": {"domain": {"id": "default", "name": "Default"}, "id": "d88bfac7654c4ba596584a55530b37c5", "name": "admin"}, "is_domain": false, "roles": [{"id": "7b0b3bfa940546d1b7d507b2f6f1c968", "name": "reader"}, {"id": "87ac7f73524f4cbcbb728be4a8830a1c", "name": "manager"}, {"id": "d9ddee51314c4c7db6bf42854614f2a5", "name": "admin"}, {"id": "9937e28a4b3e4ded94662d44c9e813ca", "name": "member"}], "catalog": [{"endpoints": [{"id": "cfc3e39ea5fc4ba4891230d22bd023c9", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/compute/v2.1", "region": "RegionOne"}], "id": "0f69b43c5fa444bcb9e3cb7865dea16e", "type": "compute", "name": "nova"}, {"endpoints": [{"id": "7742a64095754a328dcdaf3f93d2e1d1", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/placement", "region": "RegionOne"}], "id": "49eee79c220f48c79b49f302841544fa", "type": "placement", "name": "placement"}, {"endpoints": [{"id": "2013bd54bf914895815545d54e6f8276", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/volume/v3/d88bfac7654c4ba596584a55530b37c5", "region": "RegionOne"}], "id": "6b4ee88a0fd040bb94ca8710fe502616", "type": "block-storage", "name": "cinder"}, {"endpoints": [{"id": "bdae1a0caba34657b375da60460bbca6", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/compute/v2/d88bfac7654c4ba596584a55530b37c5", "region": "RegionOne"}], "id": "6c5fbb28cce74f51bee36f61c279e502", "type": "compute_legacy", "name": "nova_legacy"}, {"endpoints": [{"id": "a70a78769e0b487585acebc0f52cbb38", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/volume/v3/d88bfac7654c4ba596584a55530b37c5", "region": "RegionOne"}], "id": "ae2ac7dba3db4bbf8e8041ec6c8c9f10", "type": "volumev3", "name": "cinderv3"}, {"endpoints": [{"id": "1cb918d79f3f4d119e1a226ac1254c16", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/image", "region": "RegionOne"}], "id": "ba796c37ea024f8480e12f04b70ea3b7", "type": "image", "name": "glance"}, {"endpoints": [{"id": "b772c789831e4930af527a334c833f82", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15:9696/networking", "region": "RegionOne"}], "id": "d9a8e1bb7eaa43858c323cf7c9a067c3", "type": "network", "name": "neutron"}, {"endpoints": [{"id": "1863ded6b11640b9994765964aa80e92", "interface": "public", "region_id": "RegionOne", "url": "http://10.0.2.15/identity", "region": "RegionOne"}], "id": "f9e80372f4f242fcb816983a1f298141", "type": "identity", "name": "keystone"}]}}
run(Namespace(formatter='table', columns=[], quote_mode='nonnumeric', noindent=False, max_width=0, fit_width=False, print_empty=False, sort_columns=[], sort_direction=None, reservation_id=None, ip=None, ip6=None, name=None, instance_name=None, status=None, flavor=None, image=None, host=None, all_projects=False, project=None, project_domain=None, user=None, user_domain=None, deleted=False, availability_zone=None, key_name=None, has_config_drive=None, progress=None, vm_state=None, task_state=None, power_state=None, long=False, no_name_lookup=False, name_lookup_one_by_one=False, limit=None, marker=None, changes_before=None, changes_since=None, locked=False, unlocked=False, tags=[], not_tags=[]))
Instantiating identity client: <class 'keystoneclient.v3.client.Client'>
REQ: curl -g -i -X GET http://10.0.2.15/image -H "Accept: application/json" -H "User-Agent: openstacksdk/2.1.0 keystoneauth1/5.5.0 python-requests/2.31.0 CPython/3.10.12"
Resetting dropped connection: 10.0.2.15
http://10.0.2.15:80 "GET /image HTTP/1.1" 503 374
RESP: [503] Connection: close Content-Length: 374 Content-Type: text/html; charset=iso-8859-1 Date: Tue, 30 Jan 2024 09:54:15 GMT Server: Apache/2.4.52 (Ubuntu)
RESP BODY: Omitted, Content-Type is set to text/html; charset=iso-8859-1. Only application/json, text/plain responses have their bodies logged.
Request returned failure status: 503
No version document at http://10.0.2.15/image: Service Unavailable (HTTP 503)
Failed to contact the endpoint at http://10.0.2.15/image for discovery. Fallback to using that endpoint as the base url.
REQ: curl -g -i -X GET http://10.0.2.15/image -H "Accept: application/json" -H "User-Agent: openstacksdk/2.1.0 keystoneauth1/5.5.0 python-requests/2.31.0 CPython/3.10.12"
Resetting dropped connection: 10.0.2.15
http://10.0.2.15:80 "GET /image HTTP/1.1" 503 374
RESP: [503] Connection: close Content-Length: 374 Content-Type: text/html; charset=iso-8859-1 Date: Tue, 30 Jan 2024 09:54:15 GMT Server: Apache/2.4.52 (Ubuntu)
RESP BODY: Omitted, Content-Type is set to text/html; charset=iso-8859-1. Only application/json, text/plain responses have their bodies logged.
Request returned failure status: 503
No version document at http://10.0.2.15/image: Service Unavailable (HTTP 503)
Failed to contact the endpoint at http://10.0.2.15/image for discovery. Fallback to using that endpoint as the base url.
The image service for :RegionOne exists but does not have any supported versions.
Traceback (most recent call last):
  File "/opt/stack/data/venv/lib/python3.10/site-packages/cliff/app.py", line 410, in run_subcommand
    result = cmd.run(parsed_args)
  File "/opt/stack/data/venv/lib/python3.10/site-packages/osc_lib/command/command.py", line 38, in run
    return super(Command, self).run(parsed_args)
  File "/opt/stack/data/venv/lib/python3.10/site-packages/cliff/display.py", line 117, in run
    column_names, data = self.take_action(parsed_args)
  File "/opt/stack/data/venv/lib/python3.10/site-packages/openstackclient/compute/v2/server.py", line 2444, in take_action
    image_client = self.app.client_manager.image
  File "/opt/stack/data/venv/lib/python3.10/site-packages/osc_lib/clientmanager.py", line 45, in __get__
    self._handle = self.factory(instance)
  File "/opt/stack/data/venv/lib/python3.10/site-packages/openstackclient/image/client.py", line 37, in make_client
    instance.sdk_connection.image,
  File "/opt/stack/data/venv/lib/python3.10/site-packages/openstack/service_description.py", line 89, in __get__
    proxy = self._make_proxy(instance)
  File "/opt/stack/data/venv/lib/python3.10/site-packages/openstack/service_description.py", line 293, in _make_proxy
    raise exceptions.NotSupported(
openstack.exceptions.NotSupported: The image service for :RegionOne exists but does not have any supported versions.
clean_up ListServer: The image service for :RegionOne exists but does not have any supported versions.
END return value: 1

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to devstack (master)

Fix proposed to branch: master
Review: https://review.opendev.org/c/openstack/devstack/+/907511

Changed in devstack:
status: New → In Progress
Revision history for this message
Dr. Jens Harbott (j-harbott) wrote :

please share your local.conf file and some details about your setup, like which operation system and versions you are using

Changed in devstack:
status: In Progress → Incomplete
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Change abandoned on devstack (master)

Change abandoned by "suzhengwei <email address hidden>" on branch: master
Review: https://review.opendev.org/c/openstack/devstack/+/907511

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.